CoCoA-5 - Support #1061

Release: CoCoA-5.2.2
08 May 2017 11:58 - Anna Maria Bigatti

Status: Closed Start date: 01 Aug 2014
Priority: High Due date:

Assignee: Anna Maria Bigatti % Done: 100%
Category: Release Estimated time: 24.01 hours
Target version: CoCoA-5.2.2 Spent time: 23.30 hours
Description

Everything for the release
. Redmine Roadmap: close or postpone issue

. Redmine Release issues: check percentages, check timings

. Last check to CoCoALib doc, CoCoA-5 doc and RelNotes, TranslationTable.
. Finalize

. <version number for CoCoALib release> configuration/version
. <version number for CoCoA-5 release> CoCoA-5/release-files/version
. <cvs checkout in snapshot dir>

. cd <snapshotdir>

. configure --again

. make

. cd src/CoCoA-5

. time make doc

.time make ManExamples (~4min, and search "ERROR:" in ManExamples-out)

RELEASE FOR MAC FOR LINUX

1
2
3

. cd src/CoCoA-5/release-files
. ./release-mac.sh (local)
. ./release-linux.sh (on virtual machine 64-bit and on 32-bit)

RELEASE COCOALIB

1
2

. <~/shell-scripts/cocoalib-cvs-snapshot>
. ---- make release for CoCoALib ----

RELEASE FOR WIN
2.
--->
--->
--->

. copy cocoalib tgz on windows virtual machine

[release-win.sh
. (ask someone for windows gui version...)

. update /Volumes/WWW/webcocoa/download/download5.shtml
. update /Volumes/WWW/webcocoa/download/RelNotes.shtml
[[http://cocoa.dima.unige.it/download/RelNotes.shtml]]

. upload manual
publish manual (arXiv? ResearchGate?)

. close release on Redmine
send message to facebook page

send email
update list with undelivered emails

1
2. compile windows text version on virtual machine, copy CoCoAlnterpreter from SharedFolder into local dir
3.
4

Related issues:
Related to CoCoA-5 - Feature #1119: Mailing list for CoCoAUsers
http://cocoa.dima.unige.it/download/RelNotes.shtml

Related to CoCoA-5 - Design #1120: Web site
Related to CoCoALib - Support #1066: Documentation: translation table

Related to CoCoALib - Support #1056: Release: CoCoALib-0.99560 (together with...

Related to CoCoA-5 - Support #1148: Release CoCoA-5.2.4
Copied from CoCoA-5 - Support #851: Release: CoCoA-5.2.0

Closed
In Progress
Closed
Closed
Closed

13 Nov 2017
12 May 2017
08 Apr 2014
17 Jan 2018
01 Aug 2014

History

#1 - 08 May 2017 11:58 - Anna Maria Bigatti
- Copied from Support #851: Release: CoCoA-5.2.0 added

#2 - 06 Sep 2017 16:10 - John Abbott
- Status changed from New to In Progress

- % Done changed from 0 to 10

Here are the main changes:
e changed "timeout" to resolve issue #1097

The above should (mostly) be added to release notes.

#3 - 09 Nov 2017 10:52 - Anna Maria Bigatti
- Related to Feature #1119: Mailing list for CoCoAUsers added

#4 - 13 Nov 2017 14:51 - Anna Maria Bigatti
- Related to Design #1120: Web site added

#5 - 02 Dec 2017 10:05 - Anna Maria Bigatti
- % Done changed from 10 to 30

Some updates in the pages "dowload" (with link to google group) and "conferences" (with cocoa calendar)

#6 - 15 Dec 2017 16:23 - John Abbott
- % Done changed from 30 to 60

#7 - 19 Dec 2017 07:55 - Anna Maria Bigatti
- Related to Support #1066: Documentation: translation table added

#8 - 19 Dec 2017 07:58 - Anna Maria Bigatti

- Description updated

#9 - 19 Dec 2017 08:11 - Anna Maria Bigatti

- Description updated

#10 - 19 Dec 2017 16:22 - Anna Maria Bigatti

- Description updated

#11 - 19 Dec 2017 17:07 - Anna Maria Bigatti

going through time make ManExamples
https://cocoa.dima.unige.it/redmine/issues/1097

#12 - 19 Dec 2017 17:23 - Anna Maria Bigatti

passed ManExamples

#13 - 19 Dec 2017 18:22 - Anna Maria Bigatti

some work on translation table

#14 - 20 Dec 2017 12:25 - Anna Maria Bigatti

More updates to TranslationTAble

#15 - 21 Dec 2017 11:56 - Anna Maria Bigatti

compared CoCoATranslationTable with wordlist: consequent updates and fixes in both

#16 - 21 Dec 2017 13:35 - Anna Maria Bigatti

fixed some little bugs without a redmine issue.

Now (when | succed in cvs-ing from the virtual linux) I'll start compiling.
Linux first (with static readline)

Then mac (the easiest)

Last windows.

#17 - 22 Dec 2017 08:34 - Anna Maria Bigatti

| spent yesterday afternoon trying (without succeeding to compile on linux).
| had updated the system (when | unsuccesfully tried to install the online version) so the authorization (needed for the interface for cvs) no longer
works. Several attempts there with the help of Cartatone.

Apart from that | tried to compile (with the command-line cvs) and failed:

Problem number zero was a tiny bug in the script for readline: fixed (just a missing character), but currently | cannot check the fix in from linux.
Problem number one is (re)compiling Normaliz. So | "disabled it" momentarily.

Problem number two is this strage error

BuiltInFunctions.C: In function ‘boost::intrusive_ptr<CoCoA::InterpreterNS::Rig\
htValue> CoCoA::InterpreterNS::builtin_VersionInfo (boost::intrusive_ptr<const C\
OCOA: :AST::InvocationExpression>, CoCoA::InterpreterNS::RuntimeEnvironment*)’:
BuiltInFunctions.C:518:48: error: ‘BOOST_VERSION’ was not declared in this scope
rec—->setFieldNoCheck ("BoostVersion", new INT (BOOST_VERSION)) ;

#18 - 23 Dec 2017 22:33 - John Abbott

It seems that there should be an extra include directive in BuiltinFunctions.C:

#include <boost/version.hpp>
I'm not entirely happy about putting BOOST includes inside <...> but that is what all the other interpreter files do.

PS It seems to work for me without that include directive; don't know why.

#19 - 09 Jan 2018 18:17 - Anna Maria Bigatti
John Abbott wrote:

It seems that there should be an extra include directive in BuiltinFunctions.C:

(-]

I'm not entirely happy about putting BOOST includes inside <...> but that is what all the other interpreter files do.

PS It seems to work for me without that include directive; don't know why.

it worked

#20 - 16 Jan 2018 11:38 - Anna Maria Bigatti

all compilations done

#21 - 16 Jan 2018 11:39 - Anna Maria Bigatti
- Related to Support #1056: Release: CoCoALib-0.99560 (together with CoCoA-5.2.2) added

#22 - 16 Jan 2018 15:39 - Anna Maria Bigatti
- % Done changed from 60 to 80

compilations done, giving up linux 32bit
updated download web page

#23 - 16 Jan 2018 16:03 - Anna Maria Bigatti

uploaded examples, cocoalib doc, cocoa5 doc

#24 - 17 Jan 2018 11:59 - Anna Maria Bigatti
- Related to Support #1148: Release CoCoA-5.2.4 added

#25 - 17 Jan 2018 12:05 - Anna Maria Bigatti

- Status changed from In Progress to Closed

- % Done changed from 80 to 100

- Estimated time changed from 14.00 h to 24.01 h
